extends Resource

class_name GooParticle

export var name : String
export var columns : int = 1
export var rows : int = 1
export var skip_x_last_frames : int = 0
export var framerate = 5

var texture : Texture
var normal_map : Texture
var frame_count : int

var loaded = false
func load_textures():
	if !loaded:
		loaded = true
		texture = load('res://images/goo/' + name + '.png')
		normal_map = load('res://images/goo/' + name + '_Outlines.png')
		frame_count = columns * rows - skip_x_last_frames
